NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback

## 4.3. Unit Structs

### Classes

struct
nvmlHwbcEntry_t
struct
nvmlLedState_t
struct
nvmlPSUInfo_t
struct
nvmlUnitFanInfo_t
struct
nvmlUnitFanSpeeds_t
struct
nvmlUnitInfo_t

### Enumerations

enum nvmlFanState_t
enum nvmlLedColor_t

### Enumerations

enum nvmlFanState_t

  Fan state enum.

  ###### Values

  NVML_FAN_NORMAL = 0
    Fan is working properly.
  NVML_FAN_FAILED = 1
    Fan has failed.
enum nvmlLedColor_t

  Led color enum.

  ###### Values

  NVML_LED_COLOR_GREEN = 0
    GREEN, indicates good health.
  NVML_LED_COLOR_AMBER = 1
    AMBER, indicates problem.

NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback